The new version is compatible with arm64 on ios 7 and higher?


#1

the new version is compatible with arm64 on ios 7 and higher?

Ld /Users/***/Library/Developer/Xcode/DerivedData/***/Build/Products/Debug-iphonesimulator/**.app/ normal x86_64 

export IPHONEOS_DEPLOYMENT_TARGET=7.1

//Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator7.1.sdk -L/Users/***/Library/Developer/Xcode/DerivedData/***/Build/Products/Debug-iphonesimulator -framework ShinobiGrids   -Xlinker -dependency_info -Xlinker /Users/***/Library/Developer/Xcode/DerivedData/***/Build/Intermediates/***.build/Debug-iphonesimulator/***.build/Objects-normal/x86_64/ _dependency_info.dat -o /Users/***/Library/Developer/Xcode/DerivedData/***/Build/Products/Debug-iphonesimulator/***.app/ 

ld: warning: ignoring file Proyect for iPad/ShinobiGrids.framework/ShinobiGrids, missing required architecture x86_64 in file  Proyect for iPad/ShinobiGrids.framework/ShinobiGrids (3 slices)

Undefined symbols for architecture x86_64:

“_OBJC_CLASS_$_SGridArithmeticCell”

“_OBJC_CLASS_$_SGridColRowStyle”

“_OBJC_CLASS_$_SGridLineStyle”

“_OBJC_CLASS_$_SGridTextCell”

“_OBJC_CLASS_$_ShinobiGrid”

“_SGridRowMake”,

ld: symbol(s) not found for architecture x86_64

clang: error: linker command failed with exit code 1 (use -v to see invocation)


#2

I just double checked both Trial and Standard of ShinobiGrids 2.6.1 using “lipo -info ShinobiGrids.framework/ShinobiGrids”, and got the following:

“Architectures in the fat file: ShinobiGrids.framework/ShinobiGrids are: armv7 armv7s arm64 i386 x86_64”

Looks like the 64-bit slices are in Grids, so its probably a case of either updating your version of ShinobiGrids to version 2.5.1+, or checking your Library Search Paths are not picking up the wrong framework.

Try running [ShinobiGrids getInfo] and seeing what version it says your framework is on


#3

this only when compiling my application for devices or simulators 64-bit

Version: 1.0.8, released on Sep 28 2012


#4

1.0.8 is very far behind our current version of Grids (currently at 2.6.1). 2.5.1 was the first to support 64-bit slices, as it was the first version released after Apple introduced 64-bit devices.

In order to fix the issue, you will need to upgrade your framework